SKB_UNLINK(9)

NAME
skb_unlink - remove a buffer from a list

SYNOPSIS

void skb_unlink (struct sk_buff * skb, struct sk_buff_head * list);

ARGUMENTS

skb buffer to remove

list
    list to use

DESCRIPTION

Remove a packet from a list. The list locks are taken and this function is atomic with respect to other list locked calls

You must know what list the SKB is on.